#include <assert.h>
#include "common.h"

int
acua_touch(int argc, char **argv)
{
  uid_t                    uid;
  UserRec                  ur;

  readConfig();
  if (argc != 2)
    errQuit("usage: touch <login>");
  uid = UIDfromLogin(argv[1]);
  if (uid == (uid_t) - 1)
    errQuit("user does not exist: %s", argv[1]);
  userFileOpen();
  if (userFileSearch(&ur, uid))
    errQuit("user not found: %s", argv[1]);
  ur.lastOnline[MAX_HOSTS - 1] = time(NULL);
  userFileEdit(&ur);
  printf("user touched: %s\n", argv[1]);
  userFileClose();
  return 0;
}
